[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# PClose

Close file opened with POpen

## Declaration

Source position: line 0

`function PClose(`
`var F: text`
`):LongInt; function PClose(`
`var F: file`
`):LongInt;`

## Description

PClose closes a file opened with POpen. It waits for the command to complete, and then returns the exit status of the command.

For an example, see POpen

## Errors

LinuxError is used to report errors. If it is different from zero, the exit status is not valid.

## See also

POpen |  | Pipe file to standard input/output of program

Documentation generated on: Feb 26 2014